# Uses of Enum Class
org.apache.sysds.runtime.instructions.fed.FEDInstruction.FederatedOutput

Packages that use FEDInstruction.FederatedOutput
Package
Description
org.apache.sysds.hops
org.apache.sysds.hops.fedplanner
org.apache.sysds.lops
org.apache.sysds.runtime.instructions.fed

## Uses of FEDInstruction.FederatedOutput in org.apache.sysds.hops

Fields in org.apache.sysds.hops with type parameters of type FEDInstruction.FederatedOutput
Modifier and Type
Field
Description
`static Map<Integer,FEDInstruction.FederatedOutput>`
OptimizerUtils.`FEDERATED_SPECS`
Methods in org.apache.sysds.hops that return FEDInstruction.FederatedOutput
Modifier and Type
Method
Description
`FEDInstruction.FederatedOutput`
Hop.`getFederatedOutput()`
Methods in org.apache.sysds.hops with parameters of type FEDInstruction.FederatedOutput
Modifier and Type
Method
Description
`void`
Hop.`setFederatedOutput(FEDInstruction.FederatedOutput federatedOutput)`
`void`
Hop.`updateLopFedOut(Lop lop, Types.ExecType execType, FEDInstruction.FederatedOutput fedOut)`

## Uses of FEDInstruction.FederatedOutput in org.apache.sysds.hops.fedplanner

Methods in org.apache.sysds.hops.fedplanner that return FEDInstruction.FederatedOutput
Modifier and Type
Method
Description
`FEDInstruction.FederatedOutput`
FederatedMemoTable.FedPlan.`getFedOutType()`
`FEDInstruction.FederatedOutput`
FederatedMemoTable.FedPlanVariants.`getFedOutType()`
Methods in org.apache.sysds.hops.fedplanner that return types with arguments of type FEDInstruction.FederatedOutput
Modifier and Type
Method
Description
`List<org.apache.commons.lang3.tuple.Pair<Long,FEDInstruction.FederatedOutput>>`
FederatedMemoTable.FedPlan.`getChildFedPlans()`
Methods in org.apache.sysds.hops.fedplanner with parameters of type FEDInstruction.FederatedOutput
Modifier and Type
Method
Description
`void`
FederatedMemoTable.`addFedPlanVariants(long hopID, FEDInstruction.FederatedOutput fedOutType, FederatedMemoTable.FedPlanVariants fedPlanVariants)`
`boolean`
FederatedMemoTable.`contains(long hopID, FEDInstruction.FederatedOutput fedOutType)`
`FederatedMemoTable.FedPlan`
FederatedMemoTable.`getFedPlanAfterPrune(long hopID, FEDInstruction.FederatedOutput federatedOutput)`
`void`
FederatedMemoTable.FedPlan.`setFederatedOutput(FEDInstruction.FederatedOutput fedOutType)`
Method parameters in org.apache.sysds.hops.fedplanner with type arguments of type FEDInstruction.FederatedOutput
Modifier and Type
Method
Description
`FederatedMemoTable.FedPlan`
FederatedMemoTable.`getFedPlanAfterPrune(org.apache.commons.lang3.tuple.Pair<Long,FEDInstruction.FederatedOutput> fedPlanPair)`
`FederatedMemoTable.FedPlanVariants`
FederatedMemoTable.`getFedPlanVariants(org.apache.commons.lang3.tuple.Pair<Long,FEDInstruction.FederatedOutput> fedPlanPair)`
`static void`
FederatedPlannerLogger.`logNullChildPlanDebug(org.apache.commons.lang3.tuple.Pair<Long,FEDInstruction.FederatedOutput> childFedPlanPair, FederatedMemoTable.FedPlan optimalPlan, FederatedMemoTable memoTable)`
Logs detailed null child plan debugging information
Constructors in org.apache.sysds.hops.fedplanner with parameters of type FEDInstruction.FederatedOutput
Modifier
Constructor
Description
``
`FedPlanVariants(FederatedMemoTable.HopCommon hopCommon, FEDInstruction.FederatedOutput fedOutType)`
Constructor parameters in org.apache.sysds.hops.fedplanner with type arguments of type FEDInstruction.FederatedOutput
Modifier
Constructor
Description
``
`FedPlan(double cumulativeCost, FederatedMemoTable.FedPlanVariants fedPlanVariants, List<org.apache.commons.lang3.tuple.Pair<Long,FEDInstruction.FederatedOutput>> childFedPlans)`

## Uses of FEDInstruction.FederatedOutput in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return FEDInstruction.FederatedOutput
Modifier and Type
Method
Description
`FEDInstruction.FederatedOutput`
Lop.`getFederatedOutput()`
Methods in org.apache.sysds.lops with parameters of type FEDInstruction.FederatedOutput
Modifier and Type
Method
Description
`void`
Lop.`setFederatedOutput(FEDInstruction.FederatedOutput fedOutput)`

## Uses of FEDInstruction.FederatedOutput in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed that return FEDInstruction.FederatedOutput
Modifier and Type
Method
Description
`static FEDInstruction.FederatedOutput`
FEDInstruction.FederatedOutput.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FEDInstruction.FederatedOutput[]`
FEDInstruction.FederatedOutput.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.runtime.instructions.fed with parameters of type FEDInstruction.FederatedOutput
Modifier
Constructor
Description
``
`AggregateBinaryFEDInstruction(Operator op, CPOperand in1, CPOperand in2, CPOperand out, String opcode, String istr, FEDInstruction.FederatedOutput fedOut)`
``
`QuantilePickFEDInstruction(Operator op, CPOperand in, CPOperand in2, CPOperand out, PickByCount.OperationTypes type, boolean inmem, String opcode, String istr, FEDInstruction.FederatedOutput fedOut)`
``
`ReorgFEDInstruction(Operator op, CPOperand in1, CPOperand out, String opcode, String istr, FEDInstruction.FederatedOutput fedOut)`
``
`TsmmFEDInstruction(CPOperand in, CPOperand out, MMTSJ.MMTSJType type, int k, String opcode, String istr, FEDInstruction.FederatedOutput fedOut)`